#!/bin/bash

#
PLATFORM=$1
LOG_PATH=/tmp/.check_config.log
#
INSTALL_PATH=
NIC_CONFIG_PATH=${INSTALL_PATH}/etc/pear/pear_monitor/nic.conf
MAC_CONFIG_PATH=${INSTALL_PATH}/etc/pear/pear_monitor/mac.conf
DISK_CONFIG_PATH=${INSTALL_PATH}/etc/pear/pear_monitor/dev.conf

#
datetime=`date "+%Y-%m-%d %H:%M:%S"`
echo "${datetime} [INFO ] start checking config" >> ${LOG_PATH}

# core conf
if [[ ! -f ${MAC_CONFIG_PATH} ]]; then
  ${INSTALL_PATH}/usr/sbin/pear_monitor --auto_mac=2
fi

if [[ ! -f ${NIC_CONFIG_PATH} ]]; then
  nic=`cat /proc/net/dev | sed '1,2d' | grep -v docker0 | grep -v lo | awk -F: '{print $1}'`
  nic=(${nic})
  echo ${nic[0]} > ${NIC_CONFIG_PATH}
fi

if [[ ! -f ${DISK_CONFIG_PATH} ]]; then
  echo "/sata0" > ${DISK_CONFIG_PATH}
fi

# check if docker installed?
if [[ -z `which docker` ]]; then
  apt-get install docker.io docker -y
fi

# check if docker service started?
if [[ -z `ps -ef | grep docker | grep -v grep` ]]; then
  service docker start
fi

#
datetime=`date "+%Y-%m-%d %H:%M:%S"`
echo "${datetime} [INFO ] finish checking config" >> ${LOG_PATH}
